Package com.collabnet.ce.soap60.webservices.monitoring

# Class MonitoringAppSoap

java.lang.Object
com.collabnet.ce.soap60.webservices.WebService
com.collabnet.ce.soap60.webservices.monitoring.MonitoringAppSoap

All Implemented Interfaces:
  `IMonitoringAppSoap`

public class MonitoringAppSoap extends WebService implements IMonitoringAppSoap
Provides SOAP services for monitoring objects

Since:
  16.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MonitoringAppSoap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SoapNamedValues`
  `getApplicationMonitoringNotificationPreferences(String sessionId, String projectId)`
  Gets current user's application level monitoring notification preferences for the spcified project
  `int`
  `getMonitoringNotificationPreference(String sessionId)`
  Gets monitoring notification preference for current user
  `MonitoringSubscriptionSoapDO`
  `getMonitoringSubscription(String sessionId, String objectId)`
  Gets the current user's subscription data on the specified object.
  `MonitoringSubscriptionSoapList`
  `getMonitoringSubscriptions(String sessionId, SoapFilter[] filters)`
  Gets the list of current user's subscriptions optionally filtered by the specified filters
  `boolean`
  `isMonitoring(String sessionId, String objectId)`
  Gets whether the specified object is being monitored by current user or not.
  `boolean`
  `isUserMonitoring(String sessionId, String userName, String objectId)`
  Gets whether the specified object is being monitored by the given user name or not.
  `MonitoringUserSoapList`
  `listMonitoringUsers(String sessionId, String objectId)`
  Gets the list of users monitoring the specified object.
  `void`
  `setApplicationMonitoringNotificationPreferences(String sessionId, String projectId, SoapNamedValues appPreferences)`
  Sets current user's application level monitoring notification preferences for the specified project
  `void`
  `setMonitoringNotificationPreference(String sessionId, int preference)`
  Sets monitoring notification preference for current user.
  `void`
  `startMonitoring(String sessionId, String objectId)`
  Starts monitoring the specified object for current user
  `void`
  `startMonitoringByUser(String sessionId, String userName, String objectId)`
  Starts monitoring the specified object for the given user
  `void`
  `stopMonitoring(String sessionId, String objectId)`
  Stops monitoring the specified object for current user.
  `void`
  `stopMonitoringByUser(String sessionId, String userName, String objectId)`
  Stops monitoring the specified object for the given user.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.WebService

  `assertNormalProject, assertProjectGroup, canGiveFullUserDetails, checkGeneralPermission, checkPermission, checkPermission, checkSiteWidePermission, createUserSessionKey, downloadFile, filterInvalidProjMembers, generateFolderName, getAccessControlService, getApplicationRegistryService, getAttachment, getAuthenticationService, getCategorization, getCoreService, getDiscussion, getDocMan, getDocumentRootFolder, getFileStorageService, getFolderKey, getFolderPath, getFolderPath, getFolderPath, getFrs, getIntegrationData, getItemPath, getItemPath, getLocale, getMonitoring, getNews, getNulledMinSoapDate, getObjectKey, getObjectPath, getOperation, getPages, getPlanning, getPluggableComponent, getProjectId, getProjectPath, getProjectPath, getRbac, getSearch, getStoredFileSize, getStoredFileText, getTagService, getTeam, getTemplate, getTracker, getUser, getUserData, getUsername, getUserService, getWiki, hasPermission, hasSiteWidePermission, isFolderResource, isProjectGroup, isProjectId, isStrEmpty, isSuperUser, isValidEmail, makeStoredFileDO, makeStoredFileDOs, requireProjectAdminPermission, setPartialOrFullUserData, setUserNameToResponse, storeFile, storeTextFile, validateChoice, validateChoice, validateIconFile, validateString, validateStringArray, validateStringWithTrim, validateTokenAndExactUsername, validateTokenAndExactUsername, validateWikiPageName, verifyLicense`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MonitoringAppSoap

    public MonitoringAppSoap()

- ## Method Details

  - ### isMonitoring

    public boolean isMonitoring(String sessionId, String objectId) throws InvalidSessionFault, NoSuchObjectFault, SystemFault
    Gets whether the specified object is being monitored by current user or not.
    Specified by:
      `isMonitoring` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `objectId` - the object id for which we are doing the check
    Returns:
      whether the current user is monitoring the specified object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      16.3

  - ### isUserMonitoring

    public boolean isUserMonitoring(String sessionId, String userName, String objectId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Gets whether the specified object is being monitored by the given user name or not.
    Specified by:
      `isUserMonitoring` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `objectId` - the object id for which we are doing the check
    Returns:
      whether the specified user is monitoring the specified object
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when userName isn't the current user, and current user can't view the object.
      `SystemFault` - when an unexpected system level error occurs.
      `IllegalArgumentFault` - when the specified userName is invalid.
    Since:
      16.3

  - ### stopMonitoring

    public void stopMonitoring(String sessionId, String objectId) throws InvalidSessionFault, NoSuchObjectFault, SystemFault, PermissionDeniedFault
    Stops monitoring the specified object for current user.
    Specified by:
      `stopMonitoring` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `objectId` - the object id which current user will stop monitoring
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `PermissionDeniedFault` - when current user does not enough permission on the given object.
    Since:
      16.3

  - ### stopMonitoringByUser

    public void stopMonitoringByUser(String sessionId, String userName, String objectId) throws InvalidSessionFault, NoSuchObjectFault, IllegalArgumentFault, PermissionDeniedFault, SystemFault, InvalidOperationFault
    Stops monitoring the specified object for the given user.
    Specified by:
      `stopMonitoringByUser` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `userName` - user name of the user who needs to stop monitoring
      `objectId` - the object id which the given user will stop monitoring
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when userName isn't the current user, and current user doesn't have admin perm. on the object.
      `SystemFault` - when an unexpected system level error occurs.
      `IllegalArgumentFault` - when the specified user name is invalid.
      `InvalidOperationFault` - when site is configured not to allow removing users from monitoring.
    Since:
      16.3

  - ### startMonitoring

    public void startMonitoring(String sessionId, String objectId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Starts monitoring the specified object for current user
    Specified by:
      `startMonitoring` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `objectId` - the object id which current user will start monitoring
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when current user can't view the object,
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      16.3

  - ### startMonitoringByUser

    public void startMonitoringByUser(String sessionId, String userName, String objectId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault, IllegalArgumentFault
    Starts monitoring the specified object for the given user
    Specified by:
      `startMonitoringByUser` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `userName` - user name of the user who needs to monitor
      `objectId` - the object id which the given user will start monitoring
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when userName does not have view permission on the object, when userName isn't the current user, and current user doesn't have admin perm. on the object.
      `SystemFault` - when an unexpected system level error occurs.
      `IllegalArgumentFault` - when the given user name is not valid.
    Since:
      16.3

  - ### listMonitoringUsers

    public MonitoringUserSoapList listMonitoringUsers(String sessionId, String objectId) throws InvalidSessionFault, NoSuchObjectFault, PermissionDeniedFault, SystemFault
    Gets the list of users monitoring the specified object.
    Specified by:
      `listMonitoringUsers` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `objectId` - the object id
    Returns:
      List of users monitoring the specified object.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `PermissionDeniedFault` - when current user can't view the object.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      16.3

  - ### getMonitoringSubscriptions

    public MonitoringSubscriptionSoapList getMonitoringSubscriptions(String sessionId, SoapFilter[] filters) throws InvalidSessionFault, InvalidFilterFault, SystemFault
    Gets the list of current user's subscriptions optionally filtered by the specified filters
    Specified by:
      `getMonitoringSubscriptions` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `filters` - Array of filters to apply (null to return unfiltered list).
    Returns:
      List of filtered monitoring subscriptions.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `InvalidFilterFault` - when an unsupported filter exists in the filter collection.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      16.3

  - ### getMonitoringSubscription

    public MonitoringSubscriptionSoapDO getMonitoringSubscription(String sessionId, String objectId) throws InvalidSessionFault, NoSuchObjectFault, SystemFault
    Gets the current user's subscription data on the specified object.
    Specified by:
      `getMonitoringSubscription` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `objectId` - Id of the object
    Returns:
      The subscription data
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified object id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      16.3

  - ### getMonitoringNotificationPreference

    public int getMonitoringNotificationPreference(String sessionId) throws InvalidSessionFault, SystemFault
    Gets monitoring notification preference for current user
    Specified by:
      `getMonitoringNotificationPreference` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
    Returns:
      Subscription type; 1:email, 2:digest, 3:none, 0 otherwise
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      16.3

  - ### setMonitoringNotificationPreference

    public void setMonitoringNotificationPreference(String sessionId, int preference) throws InvalidSessionFault, SystemFault
    Sets monitoring notification preference for current user. If the new preference is invalid, this API will not change the current preference
    Specified by:
      `setMonitoringNotificationPreference` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `preference` - Integer value representing the subscription type; 1:email, 2:digest, 3:none
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      16.3

  - ### setApplicationMonitoringNotificationPreferences

    public void setApplicationMonitoringNotificationPreferences(String sessionId, String projectId, SoapNamedValues appPreferences) throws InvalidSessionFault, NoSuchObjectFault, IllegalArgumentFault, PermissionDeniedFault, SystemFault
    Sets current user's application level monitoring notification preferences for the specified project
    Specified by:
      `setApplicationMonitoringNotificationPreferences` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `projectId` - Project id
      `appPreferences` - Application preferences.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid, when an application name is invalid.
      `IllegalArgumentFault` - when the application preferences are invalid.
      `PermissionDeniedFault` - when current user can view the object.
      `SystemFault` - when an unexpected system level error occurs.
    Since:
      16.3

  - ### getApplicationMonitoringNotificationPreferences

    public SoapNamedValues getApplicationMonitoringNotificationPreferences(String sessionId, String projectId) throws InvalidSessionFault, NoSuchObjectFault
    Gets current user's application level monitoring notification preferences for the spcified project
    Specified by:
      `getApplicationMonitoringNotificationPreferences` in interface `IMonitoringAppSoap`
    Parameters:
      `sessionId` - User session id
      `projectId` - Project id
    Returns:
      SoapNamedValues which includes notification preferences for project applications
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
    Since:
      16.3